[package]
name = "client_node"
version = "0.1.0"
edition = "2024"

[dependencies]
anyhow = "1.0.102"
core_protocol = { version = "0.1.0", path = "../core_protocol" }
futures = "0.3.32"
tokio = { version = "1.52.1", features = ["rt-multi-thread", "net", "macros"] }
tokio-serde = { version = "0.9.0", features = ["bincode"] }
tokio-util = { version = "0.7.18", features = ["codec"] }
tracing = "0.1.44"
tracing-subscriber = "0.3.23"
